package net.wanji.opt.vo;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;
import java.util.Map;

/**
 * @author duanruiming
 * @date 2024/11/21 11:04
 */
@Data
@ApiModel(value = "GreenBeltChartVO", description = "绿波时序图返回实体")
@JsonIgnoreProperties(ignoreUnknown = true)
public class GreenBeltChartVO {
    @ApiModelProperty("绿波路口红灯范围")
    Map<String, List<Double[]>> crossRedTimesMap;
    @ApiModelProperty("绿波路口绿波开始时间")
    Map<String, Double> greenStartMap;
    @ApiModelProperty("绿波路口距离下一个路口距离")
    Map<String, Double> distanceMap;
    @ApiModelProperty("绿波带宽")
    private Double greenWidthTime;
}
